Theme

The Theme module makes theme management more efficient and effective. It allows you to view all theme pages, obtain details about specific theme pages, check the current app theme, and preview and test themes before applying them live.

Sales Channel Theme

Theme provides a comprehensive set of tools to efficiently manage assets and global configurations for web themes. With these APIs, developers can seamlessly handle essential asset details such as JavaScript (JS) and CSS bundle URLs, along with image URLs, crucial for creating visually appealing themes. Moreover, the APIs empower sales channel users to contribute by adding data for global configurations, including color palettes and other theme global settings.

Operations
GET
/service/application/theme/v2.0/applied-theme
# Get applied theme
GET
/service/application/theme/v2.0/{theme_id}/preview
# Get theme for preview
GET

Get applied theme

Gets the theme configuration and template details of a theme applied to the application.
Parameters
filtersquery
boolean
Filters on sections to be applied or not.
GET
/service/application/theme/v2.0/applied-theme
Loading...
Response
200
Success. Returns a JSON object of the theme. Check the example shown below or refer `ThemesSchema` for more details.
Hide
The response body containing the theme details.
font
object (Font)
Show
config
object (Config)
Show
applied
boolean
Whether the theme has been applied or not.
is_private
boolean
Whether the theme is private or not.
tags
array of string
An array of tags associated with the theme.
_id
string
The unique identifier of the theme.
application_id
string
The id of the application.
marketplace_theme_id
string
The id of the theme in the marketplace.
meta
object (ThemeMeta)
Show
name
string
The name of the theme.
template_theme_id
string
The id of the template theme.
version
string
The version of the theme.
styles
object
The styles associated with the theme.
created_at
string
| date-time
The creation timestamp of the theme.
updated_at
string
| date-time
The last update timestamp of the theme.
assets
object (Assets)
Show
available_sections
array of object (SectionItem)
Available sections information.
Show
theme_type
string
The theme or category type associated with the page.
Enum
company_id
number
The company id in which sales channel exists.
Examples
Parameters
Parameters are not required.
Response
Loading...
GET

Get theme for preview

Gets the theme configuration and template details of a theme by theme id.
Parameters
theme_idpath
string
Required
Id of the theme to be retrieved.
filtersquery
boolean
Filters on sections to be applied or not.
GET
/service/application/theme/v2.0/{theme_id}/preview
Loading...
Response
200
Success. Returns a JSON object of the theme. Check the example shown below or refer `ThemesSchema` for more details.
Hide
The response body containing the theme details.
font
object (Font)
Show
config
object (Config)
Show
applied
boolean
Whether the theme has been applied or not.
is_private
boolean
Whether the theme is private or not.
tags
array of string
An array of tags associated with the theme.
_id
string
The unique identifier of the theme.
application_id
string
The id of the application.
marketplace_theme_id
string
The id of the theme in the marketplace.
meta
object (ThemeMeta)
Show
name
string
The name of the theme.
template_theme_id
string
The id of the template theme.
version
string
The version of the theme.
styles
object
The styles associated with the theme.
created_at
string
| date-time
The creation timestamp of the theme.
updated_at
string
| date-time
The last update timestamp of the theme.
assets
object (Assets)
Show
available_sections
array of object (SectionItem)
Available sections information.
Show
theme_type
string
The theme or category type associated with the page.
Enum
company_id
number
The company id in which sales channel exists.
Examples
Parameters
Parameters are not required.
Response
Loading...

Theme Page

Theme Pages API is a tool for developers to efficiently create dynamic and customizable web pages across various platforms. It offers essential features such as section filtering based on criteria like delivery zones, time scheduler, and type of platforms, it enables developers to configure reusable sections with multiple elements using blocks, fostering creativity and flexibility in design. Moreover, it provides functionality for managing the SEO content of a page. For instance, developers can easily design a homepage with a featured products section and a promotional banner, customizing the content and layout as needed. They can implement filtering based on delivery zones and time scheduler to cater to specific audiences effectively. Ultimately, the UI Theme Pages API empowers developers to craft engaging and optimized user experiences that resonate across platforms.

Operations
GET
/service/application/theme/v1.0/{theme_id}/page
# List pages
GET
/service/application/theme/v1.0/{theme_id}/{page_value}
# Get theme page
GET

List pages

Get all page level configs, sections and seo data of a theme.
Parameters
theme_idpath
string
Required
Id of the theme to be retrieved.
GET
/service/application/theme/v1.0/{theme_id}/page
Loading...
Response
200
Success. Returns an array all the pages of the theme. Refer `AllAvailablePageSchema` for more details.
Hide
All available pages.
pages
array of object (AvailablePageSchema)
List all the pages.
Show
Examples
Parameters
Parameters are not required.
Response
Loading...
GET

Get theme page

Get page level configurations, applied sections and seo data of a page by `page_value` received from list pages api. Supports dynamic URL parameter for custom sections.
Parameters
theme_idpath
string
Required
Id of the theme to be retrieved.
page_valuepath
string
Required
Value of the page to be retrieved.
filtersquery
string
Filters on sections to be applied or not.
section_preview_hashquery
string
Unique hash id on sections preview.
companyquery
integer
Company id of the application.
url_paramsquery
string
| json
URL parameters extracted from the browser path and query string, used for dynamic variable mapping in custom sections. The value should be a stringified JSON object containing the browser's URL parameters, with the JSON escaped.
GET
/service/application/theme/v1.0/{theme_id}/{page_value}
Loading...
Response
200
Success. Returns an object of the pages. Refer `AvailablePageSchema` for more details.
Hide
Schema representing a collection of all available pages within a specific context or system.
value
string
The name of the page. For example, 'about-us'.
text
string
The textual content associated with the page. For example, 'about us'.
path
string
The url path for the page. For example, 'about-us'.
type
string
The type of the page, which can be 'system', 'custom', or 'sections'.
Enum
sections
array of object (AvailablePageSchemaSections)
An array of sections that make up the page.
Show
sections_meta
array of object (AvailablePageSectionMetaAttributes)
An array of metadata attributes for the sections of the page, each represented by an object.
Show
theme
string
The unique identifier for the theme associated with the section.
seo
object (AvailablePageSeo)
Show
props
array of object
An array of properties associated with the object, where each property is represented as an object.
_id
string
The unique identifier for the object.
Examples
Parameters
Parameters are not required.
Response
Loading...